﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Excel;
using System.Diagnostics;
using System.Data;
using System.IO;

namespace ExcelImportRounding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();


            Workbook _workbook;
            FileStream fileStream = new FileStream(@"D:\Cases\WPF\ExcelImportRounding\SimpleRoundExample.xlsx",FileMode.Open, FileAccess.Read);
            
            using (Stream stream = fileStream)
            {
                _workbook = Workbook.Load(fileStream, false);
            }

            Worksheet ws = _workbook.Worksheets[0];

            DataTable table = new DataTable();

            foreach (var column in ws.Columns)
            {
                table.Columns.Add(new DataColumn(column.Index.ToString()));
            }
            foreach (var row in ws.Rows)
            {
                table.Rows.Add(row.Cells[1].Value);
            }

            datagr.ItemsSource = table.DefaultView;            
        }
    }
}
